6.0.0-git
2019-03-21

[#11507] Kolab backend: Export not working
Summary Kolab backend: Export not working
Queue Mnemo
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-10-13 (2350 days ago)
Due
Updated 2012-10-15 (2348 days ago)
Assigned
Resolved 2012-10-15 (2348 days ago)
Milestone
Patch No

History
2012-10-15 20:47:48 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (develop):

commit 6d037e89ed16d1524f8b78bdd962525f0ff7d44a
Author: Jan Schneider <jan@horde.org>
Date:   Mon Oct 15 18:32:00 2012 +0200

     [jan] Fix exporting (Bug #11507).

  mnemo/docs/CHANGES         |    1 +
  mnemo/lib/Application.php  |    9 ++++-----
  mnemo/lib/Driver/Kolab.php |   28 ++++++++++++----------------
  mnemo/package.xml          |    4 ++--
  4 files changed, 19 insertions(+), 23 deletions(-)

http://git.horde.org/horde-git/-/commit/6d037e89ed16d1524f8b78bdd962525f0ff7d44a
2012-10-15 16:40:46 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 6d037e89ed16d1524f8b78bdd962525f0ff7d44a
Author: Jan Schneider <jan@horde.org>
Date:   Mon Oct 15 18:32:00 2012 +0200

     [jan] Fix exporting (Bug #11507).

  mnemo/docs/CHANGES         |    1 +
  mnemo/lib/Application.php  |    9 ++++-----
  mnemo/lib/Driver/Kolab.php |   28 ++++++++++++----------------
  mnemo/package.xml          |    4 ++--
  4 files changed, 19 insertions(+), 23 deletions(-)

http://git.horde.org/horde-git/-/commit/6d037e89ed16d1524f8b78bdd962525f0ff7d44a
2012-10-15 16:40:40 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2012-10-13 14:30:16 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Kolab backend: Export not working
Queue ⇒ Mnemo
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

when I try to export all notes using a Kolab backend,
I get this backtrace:

"Share name admin not found"

  1. Horde_Registry->callAppMethod() 
/datastore/DEVEL/horde/horde/services/download/index.php:33
  2. call_user_func_array() 
/datastore/DEVEL/horde/framework/Core/lib/Horde/Registry.php:1123
  3. Mnemo_Application->download()
  4. Mnemo_Driver_Kolab->retrieve() 
/datastore/DEVEL/horde/mnemo/lib/Application.php:253
  5. Mnemo_Driver_Kolab->_getData() 
/datastore/DEVEL/horde/mnemo/lib/Driver/Kolab.php:59
  6. Mnemo_Driver_Kolab->_getDataForNotepad() 
/datastore/DEVEL/horde/mnemo/lib/Driver/Kolab.php:242
  7. Horde_Core_Share_Driver->getShare() 
/datastore/DEVEL/horde/mnemo/lib/Driver/Kolab.php:258
  8. Horde_Core_Share_Driver->__call() 
/datastore/DEVEL/horde/mnemo/lib/Driver/Kolab.php:258
  9. call_user_func_array() 
/datastore/DEVEL/horde/framework/Core/lib/Horde/Core/Share/Driver.php:61
10. Horde_Share_Base->getShare()
11. Horde_Share_Kolab->_getShare() 
/datastore/DEVEL/horde/framework/Share/lib/Horde/Share/Base.php:199


Thomas

Saved Queries